{pkgs, lib, config, ...}:
with lib; let 
 cfg = config.programs.steam;
in { 
  options = {
    programs.steam.enable = mkEnableOption "Weather to enable option or not.";
  };
  config = mkIf cfg.enable {
    home.packages = [
      (pkgs.callPackage ./package.nix {})
    ];
  };
} 
